| Bsoft 2.0.5 Bernard's software package

Classes | Macros | Functions
rwatomprop.h File Reference

Header file for reading atom property files. More...

`#include <Bstring.h>`

Go to the source code of this file.

## Classes
struct | Batomtype

## Macros
#define | _Batomtype_

## Functions
Batomtype * | get_atom_properties (Bstring &filename)
| Reading atomic properties from parameter files. More...
int | write_atom_properties (Bstring &filename, Batomtype *at)
| Writing atomic properties from parameter files. More...
Batomtype * | atom_type_add (Batomtype **atype, const char *aname)
| Adds an atom type structure to a linked list. More...
int | atom_type_kill (Batomtype *atype)
| Destroys an atom type. More...

## Detailed Description

Header file for reading atom property files.

Author
  Bernard Heymann

Date
  Created: 19980822
  Modified: 20110810

Definition in file rwatomprop.h.

## Macro Definition Documentation

## ◆ _Batomtype_

#define _Batomtype_

Definition at line 35 of file rwatomprop.h.

## Function Documentation

## ◆ atom_type_add()

Batomtype* atom_type_add | ( | Batomtype ** | atype,
|  | const char * | aname
| ) |  |

Adds an atom type structure to a linked list.

Parameters

  **atype | pointer to any atom type in the list.
  *aname | atom type name.

Returns
  Batomtype* new atom type.

      The function allocates memory for a new atom type structure.
      If the content of the pointer is null, the new structure is
      the first in the list. Otherwise, the end of the list is found
      and the new structure added to it.

Definition at line 144 of file rwatomprop.cpp.

## ◆ atom_type_kill()

int atom_type_kill | ( | Batomtype * | atype | ) |

Destroys an atom type.

Parameters

  atype | the atom type.

Returns
  int 0.

Definition at line 177 of file rwatomprop.cpp.

## ◆ get_atom_properties()

Batomtype* get_atom_properties | ( | Bstring & | filename | ) |

Reading atomic properties from parameter files.

Parameters

  &filename | file name (if empty, use a default file).

Returns
  Batomtype* atom property structure, NULL on failure.

Definition at line 47 of file rwatomprop.cpp.

## ◆ write_atom_properties()

int write_atom_properties | ( | Bstring & | filename,
|  | Batomtype * | at
| ) |  |

Writing atomic properties from parameter files.

Parameters

  &filename | file name.
  *at | the atom property structure.

Returns
  int error code (<0 means failure).

Definition at line 113 of file rwatomprop.cpp.